InvalidPreferencesFormatException (Java Platform SE 8 )
Keywords: java.util.prefs.InvalidPreferencesFormatException class
Date: 2026-08-19

compact3
java.util.prefs

## Class InvalidPreferencesFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.prefs.InvalidPreferencesFormatException

- All Implemented Interfaces:
    Serializable

      public class InvalidPreferencesFormatException
      extends Exception

  Thrown to indicate that an operation could not complete because the input did not conform to the appropriate XML document type for a collection of preferences, as per the `Preferences` specification.
  Since:
    1.4
  See Also:
    `Preferences`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidPreferencesFormatException(String message)` Constructs an InvalidPreferencesFormatException with the specified detail message.
    `InvalidPreferencesFormatException(String message, Throwable cause)` Constructs an InvalidPreferencesFormatException with the specified detail message and cause.
    `InvalidPreferencesFormatException(Throwable cause)` Constructs an InvalidPreferencesFormatException with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidPreferencesFormatException

          public InvalidPreferencesFormatException(Throwable cause)

      Constructs an InvalidPreferencesFormatException with the specified cause.
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method).

    - #### InvalidPreferencesFormatException

          public InvalidPreferencesFormatException(String message)

      Constructs an InvalidPreferencesFormatException with the specified detail message.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### InvalidPreferencesFormatException

          public InvalidPreferencesFormatException(String message,
                                                   Throwable cause)

      Constructs an InvalidPreferencesFormatException with the specified detail message and cause.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method).

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.